Bug 1265673 - [iSCSI] Allow to set per-node startup mode
[iSCSI] Allow to set per-node startup mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: storaged (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1267476
  Show dependency treegraph
 
Reported: 2015-09-23 09:06 EDT by Fabian Deutsch
Modified: 2016-05-31 21:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: storaged-2.4.0-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 14:21:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2015-09-23 09:06:38 EDT
Description of problem:
iscsi.service and iscsid.service make sure that node targets are connected automatically on boot if the 'node.startup' parameter is set to 'automatic'.

This functionality must be exposed by storaged, to allow clients to configure that some target are brought up during boot and to generally allow to set the startup method.

See also "7.3. Automate Target Logins for Future System Statups" in http://www.open-iscsi.org/docs/README

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Peter Hatina 2015-10-12 04:15:56 EDT
Adding GitHub Issue for tracking: https://github.com/storaged-project/storaged/issues/31
Comment 4 Fedora Update System 2016-01-13 09:31:19 EST
storaged-2.4.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-03a81abc1e
Comment 5 Fedora Update System 2016-01-14 06:24:54 EST
storaged-2.4.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-03a81abc1e
Comment 6 Fedora Update System 2016-01-22 04:42:47 EST
storaged-2.4.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6dcf004b0e
Comment 7 Fedora Update System 2016-01-23 23:51:07 EST
storaged-2.4.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6dcf004b0e
Comment 8 Fedora Update System 2016-02-02 14:21:48 EST
storaged-2.4.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.